/*-----------------*/
/* LOADER */
/*-----------------*/
.loader {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  
  width: 60px;
  height: 50px;
  display: flex;
  justify-content: space-between;
}

.loader > div {
  width: 8px;
  height: 100%;
  background: var(--primary-color);
  animation: delay 0.8s infinite ease-in-out;
}

/* Gestion des délais avec nth-child */
.loader > div:nth-child(1) { animation-delay: -0.8s; }
.loader > div:nth-child(2) { animation-delay: -0.7s; }
.loader > div:nth-child(3) { animation-delay: -0.6s; }
.loader > div:nth-child(4) { animation-delay: -0.5s; }
.loader > div:nth-child(5) { animation-delay: -0.4s; }
.loader > div:nth-child(6) { animation-delay: -0.3s; }

/* Animation */
@keyframes delay {
  0%, 40%, 100% { transform: scaleY(0.05); }
  20% { transform: scaleY(1); }
}


/*-----------------*/
/* ELEMENTS */
/*-----------------*/
/* =======  Lines  ======= */
.grid-lines{
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: -1;
}

.grid-lines > div{
	display: block;
	float: left;
	height: 100%;
	border-left: 1px solid #f4f4f4;
	box-sizing: border-box;
	width: 16.666%;
}

.grid-lines.light{
	position: absolute;
	z-index: 0;
}
.grid-lines.light > div{border-left-color: rgba(105,105,105,.3);}
.grid-lines > div:first-child{border: none;}


.underbutton > *:before, 
.button:before, 
.tc_content .wp-block-button__link:before,
.wp-block-file__button:before{
	content: "";
	position: absolute;
	left: 0;
	top: 0;
	width: 0;
	height: 100%;
	background-color: var(--secondary-color);
	transition: 250ms all ease-in-out;
	z-index: -1;
}
.underbutton > *:hover:before, 
.button:hover:before, 
.tc_content .wp-block-button__link:hover:before,
.wp-block-file__button:hover:before{width: 100%;}

/*-----------------*/
/* SOCIAL */
/*-----------------*/
.share-buttons a {
    --size: 38px;
    width: var(--size);
    position: relative;
    display: flex!important;
    height: var(--size);
    align-items: center;
    justify-content: center;
    margin: 0 3px!important;
    padding: 0!important
}

.share-buttons a:before {
    content: '';
    position: absolute;
    z-index: 0;
    width: 100%;
    height: 100%;
    top: 0;
    border-radius: 100px;
    transition: all ease 250ms;
    background: var(--secondary-color)
}
.share-buttons a:first-child:before{background:#3b5998;}
.share-buttons a:hover:before {background: var(--primary-color)}

.sociblock .share-buttons a svg {
	--size: 17px;
	fill: var(--white)!important;
}

/*-----------------*/
/* HEADER */
/*-----------------*/
#header-coordonnees .wrappercontent > div{
	text-transform: uppercase;
	font-size: 12px;
	font-family: var(--font-bold);
}
/*-----------------*/
/* NAVPRIMARY */
/*-----------------*/
.navigmenu .active .naviglink.lvl-0{color: var(--primary-color)!important;}
.navigmenu .naviglink.lvl-0:not(.item-logo) span:after{
	position: absolute;
	bottom: -5px;
	left: 0;
	width: 100%;
	height: 1px;
	content: '';
	background-color: var(--primary-color);
	opacity: 0;
	transition: all 200ms linear;
}

.navigmenu .naviglink.lvl-0:hover span:after,
.navigmenu .active .naviglink.lvl-0 span:after{
	bottom: 0;
    opacity: 1;
}
/*-----------------*/
/* HEADERHOME */
/*-----------------*/
#headerHome-content .wrappercontent > div:not(#headerHome-button) {text-shadow: 1px 1px 1px var(--black);}

/*-----------------*/
/* GALLERY HOME */
/*-----------------*/
#galleryHome .gallery{gap: 0}
/*-----------------*/
/* PRODUITS HOME */
/*-----------------*/

/*-----------------*/
/* CONTENT */
/*-----------------*/
#content .logo-list{
    flex-wrap: nowrap !important;
}
#content .logo-list img{height: 110px;object-fit: contain;}

#content-video {
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	text-shadow: 1px 1px 1px rgba(0,0,0,0.3);
	z-index: 8;
	height: 300px;
}
#content-video:before{
	background-color: var(--black);
	opacity: 0.1;
}


/*-----------------*/
/* VIDEO */
/*-----------------*/
.video-play-button {
  z-index: 10;
  justify-content: center;
  box-sizing: content-box;
  display: flex;
  width: 24px;
  height: 24px;
  align-items: center;
  border-radius: 50%;
  padding: 0 10px 0px 13px;
  position: relative;
}

.video-play-button:before {
  content: "";
  position: absolute;
  z-index: 0;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  display: block;
  width: 70px;
  height: 70px;
  background: var(--white);
  border-radius: 50%;
  animation: pulse-border 1500ms ease-out infinite;
}

.video-play-button:after {
  content: "";
  position: absolute;
  z-index: 1;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  display: block;
  width: 60px;
  height: 60px;
  background: var(--white);
  border-radius: 50%;
  transition: all 200ms;
}

.video-play-button:hover:after {
  background-color: darken(#fa183d, 10%);
}

.video-play-button img {
  position: relative;
  z-index: 3;
  max-width: 100%;
  width: auto;
  height: auto;
}

.video-play-button span {
  display: block;
  position: relative;
  z-index: 3;
  width: 0;
  height: 0;
  border-left: 15px solid var(--black);
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  line-height: 1;
}

@keyframes pulse-border {
  0% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
    opacity: 1;
  }
  100% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1.5);
    opacity: 0;
  }
}



.video-overlay {
  position: static;
  z-index: -1;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0,0,0,0.9);
  opacity: 0;
  transition: all ease 500ms;
}

.video-overlay.open {
  position: fixed;
  z-index: 9999999;
  opacity: 1;
}

.video-overlay-close {
  position: absolute;
  z-index: 1000;
  top: 15px;
  right: 20px;
  font-size: 36px;
  line-height: 1;
  font-weight: 400;
  color: #fff;
  text-decoration: none;
  cursor: pointer;
  transition: all 200ms;
}

.video-overlay-close:hover {
  color: #fa183d;
}

.video-overlay iframe {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  /* width: 90%; */
  /* height: auto; */
  box-shadow: 0 0 15px rgba(0,0,0,0.75);
  max-width: 90%;
}

/*-----------------*/
/* PRESTATIONS */
/*-----------------*/
#prestations .widget_parentpage{counter-reset: prestation;}

#prestations .prestations-content{
	z-index: 4;
	left: 0;
	right: 0;
	bottom: 0;
	padding: 30px 20px;
	pointer-events: none;
}
#prestations .prestations-title{
	padding-top: 30px;
	margin-bottom: 10px;
	transform: translateY(70px);
	transition: all ease .5s;
}
#prestations .prestations-title:before {
    content: "0" counter(prestation);
    counter-increment: prestation;
    font-size: 16px;
    line-height: 1;
    font-family: var(--font-text);
    color: var(--white);
    opacity: .4;
    letter-spacing: 1px;
    font-weight: bold;
    height: auto;
    width: auto;
}

#prestations .prestations-title:after {
    background: var(--white);
    height: 60px;
    width: 2px;
    top: -80px;
    left: 8px;
    opacity: .4
}

.prestations-content :is(h2,h3) {margin: 0;}

#prestations .prestations-content :is(.title_content, .content_link, .tc_excerpt){color: var(--white);}

#prestations .prestations-txt{
	opacity: 0;
	transition: all ease .5s;
	transform: translateY(100%);
}
#prestations .prestations-img:before{
    z-index: 1;
    background: linear-gradient(to top, rgb(0 0 0 / 80%), #00000000);
}

#prestations .prestations-img{background: var(--title-color);}
#prestations .prestations-img img {
    transition: all 600ms ease;
    width: calc(100% + 50px);
    transition: opacity .35s , transform .35s;
    transform: translate3d(-40px,0,0);
}

#prestations .bloc_prestations:hover .prestations-title {transform: translateY(0);}
#prestations .bloc_prestations:hover .prestations-txt {
    opacity: 1;
    transform: translateY(0);
}

#prestations .bloc_prestations:hover .prestations-img img {
    transform: translate3d(0,0,0);
    opacity: .2;
}

/*-----------------*/
/* ACTU */
/*-----------------*/
#news{ background-image: url(../images/bg-news.jpg);}
#news .ckslider {justify-content: center;}

.home #news .content_slider {opacity: 0;}
.home #news .wrapper_slider.active .content_slider {opacity: 1;}

.home #news .thumbnail_slider{
	transition: 250ms all ease-in-out;
	opacity: 0.8;
    transform: scale(0.9);
}
.home #news .wrapper_slider.active .thumbnail_slider {
	opacity: 1;
    transform: scale(1.1);
}

.thumbnail_slider:before{
	position: absolute;
    content: '';
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: var(--black);
    opacity: 0.7;
    z-index: 1;
}
.home #news .wrapper_slider.active .thumbnail_slider:before{
	opacity: 0.7;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgb(0, 0, 0) 100%);
}

.content_slider{
	position: absolute;
    left: 0;
    bottom: 0;
    padding: 10px 0;
    z-index: 1;
   
    position: absolute;
    bottom: 20px;
    left: 10px;
    border-radius: 5px;
    right: 10px;
    text-align: center;
}
.title_slider{font-size: 28px;}
.content_slider .title{transition: 500ms ease all;}
.next_slider{
	position: absolute;
	transition: .5s;
	opacity: 0;
	transform: translateY(30px);
	right: 20px;
	top: 50%;
	left: 20px;
	z-index: 1;
}

.wrapper_inner_slider:hover .content_slider .title {
    opacity: 1;
    transform: translateY(-50px);
}
.wrapper_inner_slider:hover .next_slider {
    opacity: 1;
    transform: translateY(-10px);
}

.arrowright{
	background-image: url('../images/icons/arrowright-white.svg');
	--size: 30px;
	width: var(--size);
	height: var(--size);
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
	display: inline-block;
}

.arrowright.color{
	background-image: url('../images/icons/arrowright-color.svg');
}

.arrowright span{
	display: none;
}
/*-----------------*/
/* SECTIONS */
/*-----------------*/

/*-----------------*/
/* REASSURANCES */
/*-----------------*/
#reassurances {
    background-image: url(../images/bg-reassurances.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
#reassurances .picto-container li p{
	color: var(--white);
	margin-top: 20px;
	line-height: 1.3em;
	font-family: var(--font-bold);
	text-transform: uppercase;
}
/*-----------------*/
/* PARTENAIRES */
/*-----------------*/

/*-----------------*/
/* NEWSLETTER */
/*-----------------*/

/*-----------------*/
/* SHARE */
/*-----------------*/

/*-----------------*/
/* AGENCES */
/*-----------------*/

/*-----------------*/
/* CONTACTFORM */
/*-----------------*/
.cekome_form .button.cf_submit:hover{background-color: var(--secondary-color)}
/*-----------------*/
/* FOOTER */
/*-----------------*/
#footerForm{background-image: url('../images/bg-footer.jpg');}
#wrapperForm{
	max-width: 680px;
	background: rgb(255 255 255 / 0.9);
	border-radius: 10px;
	padding: 50px 20px;
}
#wrapperForm .title{margin-bottom: 30px;}